Bug 586741 - Exception in qpid/connection.py
Summary: Exception in qpid/connection.py
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
(Show other bugs)
Version: Development
Hardware: All Linux
low
low
Target Milestone: 1.3
: ---
Assignee: Robert Rati
QA Contact: Lubos Trilety
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-28 09:44 UTC by Martin Kudlej
Modified: 2010-10-20 11:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Kudlej 2010-04-28 09:44:39 UTC
Description:
I try to setup condor pool by remote configuration. I think this is management bug, but if not, please move it to grid-wallaby-utils.

Version-Release number of selected component (if applicable):
python-qmf-0.7.934605-1.el5
condor-wallaby-client-2.6-0.5.el5
condor-wallaby-tools-2.6-0.5.el5
qpid-cpp-server-0.7.935473-1.el5

How reproducible:
less than 5%

Steps to Reproduce:
1. configure grid remote configuration (CM,broker,store on same machine)
2. run condor_configure_pool --default-group -a ExecuteNode
  
Actual results:

No targets specified.  Exiting
usage: condor_configure_pool [-h|--help] [-b|--broker <broker>] [-o|--port <port>] [--load-snapshot|--remove-snapshot|--take-snapshot <snapshot>] [--schedds] [--qmfbroker] [-g|--group|-n|--node name] action [-f|--features feature[,feature,...]] [-p|--params param1,param2,...]
  <broker>    - The ip/hostname of the broker used by the configuration store
  <port>      - The port of the broker used by the configuration store
  <snapshot>  - The name of the snapshot
  --schedds   - Prompt for scheduler information when configuring
  --qmfbroker - Prompt for QMF broker information when configuring
  -h - Print help

action:
  -a|--add             - Add to the group/node
  -d|--delete          - Remove from the group/node
  -l|--list            - List the specific node/group/feature/param
                         configuration
  --activate           - Attempt to activate the configuration in
                         the store
  --list-all-features  - List all features in the store
  --list-all-groups    - List all groups in the store
  --list-all-nodes     - List all nodes in the store
  --list-all-params    - List all params in the store
  --list-all-snapshots - List all snapshots in the store
  --default-group      - Perform actions on the Default Group in
                         the store
Exception in thread Thread-4 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
  File "/usr/lib64/python2.4/threading.py", line 442, in __bootstrap
  File "/usr/lib64/python2.4/threading.py", line 422, in run
  File "/usr/lib/python2.4/site-packages/qpid/queue.py", line 84, in run
  File "/usr/lib/python2.4/site-packages/qmf/console.py", line 2253, in _v2Cb
  File "/usr/lib/python2.4/site-packages/qpid/generator.py", line 25, in <lambda>
  File "/usr/lib/python2.4/site-packages/qpid/connection.py", line 219, in invoke
  File "/usr/lib/python2.4/site-packages/qpid/connection.py", line 192, in write_op
  File "/usr/lib64/python2.4/threading.py", line 112, in release
exceptions.TypeError: 'NoneType' object is not callable

Expected results:
Output without exception.

Comment 1 Ken Giusti 2010-07-13 14:18:58 UTC
The tool is not deleting the QMF broker object returned by Session.addBroker().  Before exiting, the code should call Session.delBroker().

Example:

bkr = ssn.addBroker()
....
ssn.delBroker(bkr)

Comment 2 Robert Rati 2010-07-13 15:13:31 UTC
Resolved in:
condor-wallaby-tools-3.0-1

Comment 3 Lubos Trilety 2010-07-21 08:50:21 UTC
Tested with (version):
condor-wallaby-tools-3.0-1

Tested on:
RHEL5 x86_64  - passed
RHEL5 i386    - passed

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.